Skip to content
Start here

List abuse report mitigations

GET/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
Path ParametersExpand Collapse
account_id: string
maxLength32
report_id: string
Query ParametersExpand Collapse
effective_after: optional string

Returns mitigation that were dispatched after the given date

effective_before: optional string

Returns mitigations that were dispatched before the given date

entity_type: optional "url_pattern" or "account" or "zone"

Filter by the type of entity the mitigation impacts.

One of the following:
"url_pattern"
"account"
"zone"
page: optional number

Where in pagination to start listing abuse reports

per_page: optional number

How many abuse reports per page to list

sort: optional "type,asc" or "type,desc" or "effective_date,asc" or 5 more

A property to sort by, followed by the order

One of the following:
"type,asc"
"type,desc"
"effective_date,asc"
"effective_date,desc"
"status,asc"
"status,desc"
"entity_type,asc"
"entity_type,desc"
status: optional "pending" or "active" or "in_review" or 2 more

Filter by the status of the mitigation.

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: optional "legal_block" or "misleading_interstitial" or "phishing_interstitial" or 4 more

Filter by the type of mitigation. This filter parameter can be specified multiple times to include multiple types of mitigations in the result set, e.g. ?type=rate_limit_cache&type=legal_block.

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"
ReturnsExpand Collapse
success: boolean
errors: optional array of { message }
message: string
messages: optional array of { message }
message: string
result: optional { mitigations }
mitigations: array of { id, effective_date, entity_id, 3 more }
id: string

ID of remediation.

effective_date: string

Date when the mitigation will become active. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

entity_id: string
entity_type: "url_pattern" or "account" or "zone"
One of the following:
"url_pattern"
"account"
"zone"
status: "pending" or "active" or "in_review" or 2 more

The status of a mitigation

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: "legal_block" or "misleading_interstitial" or "phishing_interstitial" or 4 more

The type of mitigation

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"
result_info: optional { count, page, per_page, 2 more }
count: number
page: number
per_page: number
total_count: number
total_pages: number

List abuse report mitigations

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/abuse-reports/$REPORT_ID/mitigations \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}